%define module eventlet

Name:           python-%{module}
Version:        0.24.1
%define subrel  1
Release:        %mkrel 1
Summary:        Highly concurrent networking library
License:        MIT
Group:          Development/Python
URL:            http://eventlet.net
Source0:        http://pypi.io/packages/source/e/%{module}/%{module}-%{version}.tar.gz
Patch1:         CVE-2021-21419_websocket-Limit-maximum-uncompressed-frame-length-to-8MiB.patch
BuildArch:      noarch

BuildRequires:  pkgconfig(python2)
BuildRequires:  python2dist(setuptools)
BuildRequires:  python2dist(sphinx)
BuildRequires:  python2dist(greenlet)

%description
Eventlet is a networking library written in Python. It achieves high
scalability by using non-blocking io while at the same time retaining
high programmer usability by using coroutines to make the non-blocking
io operations appear blocking at the source code level.

%package -n     python2-%{module}
Summary:        Highly concurrent networking library
Group:          Development/Python
%{?python_provide:%python_provide python2-%{module}}
Recommends:     python2dist(pyzmq)

%description -n python2-%{module}
Eventlet is a networking library written in Python 2. It achieves high
scalability by using non-blocking io while at the same time retaining
high programmer usability by using coroutines to make the non-blocking
io operations appear blocking at the source code level.
This is the Python 2 build of %{module}.

%package -n     python3-%{module}
Summary:        Highly concurrent networking library
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(greenlet)

Recommends:     python3dist(pyzmq)

%description -n python3-%{module}
Eventlet is a networking library written in Python 3. It achieves high
scalability by using non-blocking io while at the same time retaining
high programmer usability by using coroutines to make the non-blocking
io operations appear blocking at the source code level.
This is the Python 3 build of %{module}.

%package        doc
Summary:        Documentation for %{name}
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}

%description    doc
Documentation for the python-eventlet package.

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{module}.egg-info

cp -a . %{py3dir}

%build
%py2_build
pushd doc
popd
chmod a-x tests/mock.py

pushd %{py3dir}
%py3_build
pushd doc
popd
chmod a-x tests/mock.py
popd

%install
%py2_install
# FIXME: Those files are not meant to be used with Python 2.7
# Anyway the whole module eventlet.green.http is Python 3 only
# Trying to import it will fail under Python 2.7
# https://github.com/eventlet/eventlet/issues/369
rm -rf %{buildroot}%{python2_sitelib}/%{module}/green/http/{cookiejar,client}.py

pushd %{py3dir}
%py3_install
popd

%files -n python2-%{module}
%doc AUTHORS LICENSE NEWS README.rst
%{python2_sitelib}/%{module}*

%files -n python3-%{module}
%doc AUTHORS LICENSE NEWS README.rst
%{python3_sitelib}/%{module}*

%files doc
%doc examples tests


%changelog
* Mon Jun 07 2021 daviddavid <daviddavid> 0.24.1-1.1.mga7
+ Revision: 1730014
- add debian patch to fix CVE-2021-21419 (mga#29009)

* Tue Jan 08 2019 shlomif <shlomif> 0.24.1-1.mga7
+ Revision: 1352675
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.23.0-2.mga7
+ Revision: 1288825
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 daviddavid <daviddavid> 0.23.0-1.mga7
+ Revision: 1237176
- new version: 0.23.0

* Thu Apr 05 2018 kekepower <kekepower> 0.19.0-1.mga7
+ Revision: 1215394
- Update to version 0.19.0
- Renamed python-eventlet to python2-eventlet

* Sat Aug 05 2017 pterjan <pterjan> 0.17.4-2.mga7
+ Revision: 1135416
- Rebuild for python 3.6

* Thu Dec 17 2015 daviddavid <daviddavid> 0.17.4-1.mga6
+ Revision: 911235
- new version: 0.17.4
- add python 3 package
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.13.0-7.mga5
+ Revision: 741748
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.13.0-6.mga5
+ Revision: 728435
- rebuild for missing pythoneggs deps
- s/uggests:/Recommends:/
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.13.0-3.mga4
+ Revision: 543315
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.13.0-2.mga4
+ Revision: 498558
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 18 2013 joequant <joequant> 0.13.0-1.mga4
+ Revision: 467412
- upgrade to 0.13.0

* Sun Jan 13 2013 umeabot <umeabot> 0.9.16-2.mga3
+ Revision: 378809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 0.9.16-1.mga3
+ Revision: 313205
- imported package python-eventlet


* Thu Jan 12 2012 Lev Givon <lev@mandriva.org> 0.9.16-1mdv2012.0
+ Revision: 760422
- Update to 0.9.16.
  Remove greenpipe patch (no longer needed).
  Suggest installation of python-pyzmq.

* Thu Jun 09 2011 Antoine Ginies <aginies@mandriva.com> 0.9.14-1
+ Revision: 683432
- fix group
- import python-eventlet


* Wed Jun 8 2011 Antoine Ginies <aginies@mandriva.com> 0.9.14
- first release for Mandriva
